package com.ruoyi.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 动态格条件对象 drag_table_condition
 * 
 * @author ruoyi
 * @date 2023-07-31
 */
public class DragTableCondition extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long tcId;

    /** 动态表格编号 */
    @Excel(name = "动态表格编号")
    private Long tId;

    /** 条件名称 */
    @Excel(name = "条件名称")
    private String conditionName;

    /** 条件字段 */
    @Excel(name = "条件字段")
    private String conditionField;

    /** 条件描述 */
    @Excel(name = "条件描述")
    private String conditionNotes;

    /** 条件类型 */
    @Excel(name = "条件类型")
    private String conditionType;

    /** 默认值 */
    @Excel(name = "默认值")
    private String conditionDefaultValue;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 是否隐藏(0 显示; 1 隐藏) */
    @Excel(name = "是否隐藏(0 显示; 1 隐藏)")
    private String isHidden;

    /** 逻辑删除(0 否; 1 是) */
    private String delFlag;

    public void setTcId(Long tcId) 
    {
        this.tcId = tcId;
    }

    public Long getTcId() 
    {
        return tcId;
    }
    public void settId(Long tId) 
    {
        this.tId = tId;
    }

    public Long gettId() 
    {
        return tId;
    }
    public void setConditionName(String conditionName) 
    {
        this.conditionName = conditionName;
    }

    public String getConditionName() 
    {
        return conditionName;
    }
    public void setConditionField(String conditionField) 
    {
        this.conditionField = conditionField;
    }

    public String getConditionField() 
    {
        return conditionField;
    }
    public void setConditionNotes(String conditionNotes) 
    {
        this.conditionNotes = conditionNotes;
    }

    public String getConditionNotes() 
    {
        return conditionNotes;
    }
    public void setConditionType(String conditionType) 
    {
        this.conditionType = conditionType;
    }

    public String getConditionType() 
    {
        return conditionType;
    }
    public void setConditionDefaultValue(String conditionDefaultValue) 
    {
        this.conditionDefaultValue = conditionDefaultValue;
    }

    public String getConditionDefaultValue() 
    {
        return conditionDefaultValue;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setIsHidden(String isHidden) 
    {
        this.isHidden = isHidden;
    }

    public String getIsHidden() 
    {
        return isHidden;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tcId", getTcId())
            .append("tId", gettId())
            .append("conditionName", getConditionName())
            .append("conditionField", getConditionField())
            .append("conditionNotes", getConditionNotes())
            .append("conditionType", getConditionType())
            .append("conditionDefaultValue", getConditionDefaultValue())
            .append("sort", getSort())
            .append("isHidden", getIsHidden())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
